Bug 132629 - inspite of xhost+ & setting disp, get "Couldn't find per display information"
inspite of xhost+ & setting disp, get "Couldn't find per display information"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 06:28 EDT by Banibrata Dutta
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 11:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Banibrata Dutta 2004-09-15 06:28:12 EDT
Description of problem:
Assume "a.x.com" to be one host and "b.x.com" be another host. I am
running FC3-test1 Xserver on a.x.com host. b.x.com is a HP-UX host. I
am able to use: Reflection, Exceed, Cygwin/X from Windos box to
connect to b.x.com and run "xterm" i.e. display of xterm being on the
Windows host. Also I am able to do so from a RH-AS2.1(i386) setup,
i.e. run the xterm on b.x.com and display on RH-AS2.1 host. But, when
I try the same from a.x.com, it fails, saying:-
 Error: Can't open display: a.x.com:0.0
 Error: Couldn't find per display information

I have done "xhost +" on a.x.com (both as regular user, and also as
root). Before running "xterm" on b.x.com I make sure that the
following is done...
 export DISPLAY=a.x.com:0.0
that seems to have no effect at all though!

From b.x.com, a.x.com is pingable and telnet'able, and vice-versa too
(of course) it is true.

I have done "xauth (list)" on a.x.com, with the following result:-
 a.x.com/unix:0  MIT-MAGIC-COOKIE-1  b645aacc36537a0cce4fe908c4b36803
 localhost.localdomain/unix:0  MIT-MAGIC-COOKIE-1 
b645aacc36537a0cce4fe908c4b36803

Version-Release number of selected component (if applicable):
 xorg-x11-xauth-6.7.0-6
 xorg-x11-xdm-6.7.0-6
 xorg-x11-6.7.0-6

How reproducible:
 listed above in description

Steps to Reproduce:
1. listed above in description
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Banibrata Dutta 2004-09-20 11:26:46 EDT
Well, found out about "ssh -X <host>" being the neo-age preferred (&
secured) way to connect to a host, from which remote display can be
set to "this" host, and remote X applications launched. Also found the
way to enable to "old-world" style "xhost +; export DISPLAY=<host>:0"
and launch X application way. 

All I had to do was to: 
Edit the /etc/x11/gdm/gdm.conf file and uncoment the DisallowTCP=true
line in it and change it to be false. Followed by "init 3; init 5".

Found this info @:
http://www.fedorazine.com/index.php?option=content&task=view&id=124
Comment 2 Mike A. Harris 2004-09-20 16:55:08 EDT
This is correct.  TCP is disabled by default on all OS installations,
requiring manual reconfiguration in order to enable it if XDMCP
functionality is required, or if needing to use telnet/rlogin/etc.
methods of running remote X apps.

Using ssh -X is the preferred/recommended method, which is also
enabled by default.

This is a much more secure and easy method to run remote X apps.
In the future, the X server may default internally to refusing TCP
as well, for additional security.
Comment 3 Robert Cohen 2005-10-15 10:18:14 EDT
Hi Everyone,

To allow using remote X sessions from remote host to local host and not using
ssh do the following:

1) From previous email do the Edit the /etc/x11/gdm/gdm.conf
2) Run “# gdmsetup” and change Security to (Not selected) “Allow disallow TCP …”
3)  Restart X server by using “# kill –HUP ‘cat /var/run/gdm.pid’ You going to
be loged out
3)  Once you loged back go to Desktop menu -> System Setting -> security and
4)  From security dialog box go to Trusted devices and turn on your ETH? as Trusted

Try now 
Good luck.
R C

Note You need to log in before you can comment on or make changes to this bug.